### Hierarchy

- WealthPtr

## Index

### Constructors

- constructor

### Properties

- decryptKey
- validator

## Constructors

### constructor

- new WealthPtr(validator?: string, decryptKey?: string): WealthPtr

- - Defined in utils/types/BaseTypes.ts:98

  #### Parameters

  - ##### Optional validator: string

  - ##### Optional decryptKey: string

  #### Returns WealthPtr

## Properties

### decryptKey

decryptKey: string

- Defined in utils/types/BaseTypes.ts:98

### validator

validator: string

- Defined in utils/types/BaseTypes.ts:97

Generated using TypeDoc